<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div *ngIf="adapter$ | async as adapter" class="w-full h-full pl-6">
  <div class="pt-6 flex items-center gap-4">
    <app-type-icon [size]="44" [color]="adapter.color" [icon]="adapter.icon"></app-type-icon>
    <div>
      <div class="text-text-500 text-xl font-semibold">{{ adapter.name }}</div>
    </div>
  </div>
  <div class="mt-14">
    <div class="text-text-500 text-base flex items-center gap-2">
      <div class="text-text-300">url:</div>
      <div class="text-text-500 text-base">{{ adapter.protocol | lowercase }}://{{ adapter.host }}:{{ adapter.port }}</div>
    </div>
    <div class="text-text-500 text-base flex items-center gap-2">
      <div class="text-text-300">adid:</div>
      <app-long-id [id]="adapter.adid" [width]="200" copyMessage="ADID coppied to clipboard"></app-long-id>
    </div>
    <div class="mt-10">
      <p-tabView>
        <p-tabPanel>
          <ng-template pTemplate="header">
            <div class="flex items-center gap-2">
              <i class="pi pi-info-circle"></i>
              <div>Info</div>
            </div>
          </ng-template>
          <app-adapter-description [adapter]="adapter"></app-adapter-description>
        </p-tabPanel>
        <p-tabPanel header="Connections">
          <ng-template pTemplate="header">
            <div class="flex items-center gap-2">
              <i class="pi pi-link"></i>
              <div>Connections</div>
            </div>
          </ng-template>
          <ng-container *ngLet="initializing$ | async as initializing">
            <app-spinner *ngIf="initializing" [size]="24"></app-spinner>
            <app-connections-table *ngIf="!initializing" [adapterConnections]="(adapterConnections$ | async) ?? []"></app-connections-table>
          </ng-container>
        </p-tabPanel>
      </p-tabView>
    </div>
  </div>
</div>
